clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- CL_Reasonable : clang::tidy::modernize::Confidence
- CL_Risky : clang::tidy::modernize::Confidence
- CL_Safe : clang::tidy::modernize::Confidence
- CT_AnyCase : clang::tidy::readability::IdentifierNamingCheck
- CT_CamelBack : clang::tidy::readability::IdentifierNamingCheck
- CT_CamelCase : clang::tidy::readability::IdentifierNamingCheck
- CT_LowerCase : clang::tidy::readability::IdentifierNamingCheck
- CT_UpperCase : clang::tidy::readability::IdentifierNamingCheck
- EK_Macro : Entry
- EK_NumberOfKinds : Entry
- EK_Tag : Entry
- EK_Value : Entry
- Error : clang::tidy::ClangTidyError
- IK_CSystemInclude : clang::tidy::IncludeSorter
- IK_CXXSystemInclude : clang::tidy::IncludeSorter
- IK_InvalidInclude : clang::tidy::IncludeSorter
- IK_MainTUInclude : clang::tidy::IncludeSorter
- IK_NonSystemInclude : clang::tidy::IncludeSorter
- IS_Google : clang::tidy::IncludeSorter
- IS_LLVM : clang::tidy::IncludeSorter
- NS_CamelBack : clang::tidy::modernize::VariableNamer
- NS_CamelCase : clang::tidy::modernize::VariableNamer
- NS_LowerCase : clang::tidy::modernize::VariableNamer
- NS_UpperCase : clang::tidy::modernize::VariableNamer
- UK_CaptureByCopy : clang::tidy::modernize::Usage
- UK_CaptureByRef : clang::tidy::modernize::Usage
- UK_Default : clang::tidy::modernize::Usage
- UK_MemberThroughArrow : clang::tidy::modernize::Usage
- Warning : clang::tidy::ClangTidyError